## libsass-python 0.12.3

=== Makefile ===
# This is to speed up development time.
# Usage:
#     Needed once:
#         $ virtualenv venv
#         $ . venv/bin/activate
#         $ pip install -e .`
#         $ pip install werkzeug
#     Once that is done, to rebuild simply:
#         $ make -j 4 && python -m unittest sasstests

PY_HEADERS := -I/usr/include/python2.7
C_SOURCES := $(wildcard libsass/src/*.c)
C_OBJECTS = $(patsubst libsass/src/%.c,build2/libsass/c/%.o,$(C_SOURCES))
CPP_SOURCES := $(wildcard libsass/src/*.cpp)
CPP_OBJECTS = $(patsubst libsass/src/%.cpp,build2/libsass/cpp/%.o,$(CPP_SOURCES))

LIBSASS_VERSION = $(shell git -C libsass describe --abbrev=4 --dirty --always --tags)

BASEFLAGS := -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -fPIC -I./libsass/include $(PY_HEADERS) -Wno-parentheses -Werror=switch -DLIBSASS_VERSION='"$(LIBSASS_VERSION)"'
CFLAGS := $(BASEFLAGS) -Wstrict-prototypes
CPPFLAGS := $(BASEFLAGS) -std=c++0x
LFLAGS := -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -Wl,-z,relro -fPIC -lstdc++

all: _sass.so

build2/libsass/c/%.o: libsass/src/%.c
	@mkdir -p build2/libsass/c/
	gcc $(CFLAGS) -c $^ -o $@

build2/libsass/cpp/%.o: libsass/src/%.cpp
	@mkdir -p build2/libsass/cpp/
	gcc $(CPPFLAGS) -c $^ -o $@

build2/pysass.o: pysass.cpp
	@mkdir -p build2
	gcc $(CPPFLAGS) -Wno-write-strings -c $^ -o $@

_sass.so: $(C_OBJECTS) $(CPP_OBJECTS) build2/pysass.o
	g++ $(LFLAGS) $^ -o $@

.PHONY: clean
clean:
	rm -rf build2 _sass.so

## libsass-python 0.11.0

=== debian/changelog ===
libsass-python (0.11.0-2) unstable; urgency=medium

  * debian/rules : setting PYTHON_EGG_CACHE else build tries to extract
    eggs in /sbuild-nonexistent.

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Fri, 25 Mar 2016 22:00:32 +0100

libsass-python (0.11.0-1) unstable; urgency=medium

  * debian/rules : taking default python version into account in shebang and
    adapting upstream check of libsass version.
  * debian/control : updated python3-libsass dependency. Closes: #811406
  * Renaming sassc to pysassc while waiting for upstream. Closes: #817139
  * Updating to new release. Closes: #814428

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Thu, 24 Mar 2016 10:26:12 +0100

libsass-python (0.9.3-1) unstable; urgency=medium

  * Initial release. Closes: #804135

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Fri, 04 Dec 2015 14:39:34 +0100

=== debian/control ===
Source: libsass-python
Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all-dev, python3-all-dev,
 python-setuptools, python3-setuptools,
 python-six, python3-six,
 python-sphinx, python3-sphinx,
 python-werkzeug, python3-werkzeug,
 python-flake8, python3-flake8,
 python-pytest, python3-pytest,
 libsass-dev (>= 3.3.1)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.7
Homepage: http://hongminhee.org/libsass-python/

Package: python-libsass
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: SASS for Python: a straightforward binding of libsass for Python
 This package provides a simple Python extension module sass which is binding
 Libsass (written in C/C++ by Hampton Catlin and Aaron Leung). It's very
 straightforward and there isn't any headache related Python
 distribution/deployment.
 That means you can add just libsass into your setup.py's install_requires list
 or requirements.txt file. Need no Ruby nor Node.js.

Package: python3-libsass
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: SASS for Python 3: a straightforward binding of libsass for Python
 This package provides a simple Python 3 extension module sass which is binding
 Libsass (written in C/C++ by Hampton Catlin and Aaron Leung). It's very
 straightforward and there isn't any headache related Python
 distribution/deployment.
 That means you can add just libsass into your setup.py's install_requires list
 or requirements.txt file. Need no Ruby nor Node.js.

Package: pysassc
Section: web
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-libsass, python3-libsass
Description: SASS for Python: command line utility for libsass
 This package provides a simple Python script to access libsass
 functionnalities.
 Libsass (written in C/C++ by Hampton Catlin and Aaron Leung). It's very
 straightforward and there isn't any headache related Python
 distribution/deployment.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYTHON_EGG_CACHE=$(CURDIR)/debian/tmp

%:
	dpkg-query -f '${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	pybuild --build -p "$(shell pyversions -vr; py3versions -vr)"
	# build doc once
	pybuild -s custom --build -p $(shell pyversions -vd) \
		--build-args="env PYTHONPATH={build_dir} sphinx-build -N -bman docs/ build/man"

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	cp $(CURDIR)/build/man/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	# Renaming sassc script to pysassc while waiting for upstream
	sed -i '1c#!/usr/bin/python' $(CURDIR)/debian/tmp/usr/bin/sassc
	mv $(CURDIR)/debian/tmp/usr/bin/sassc $(CURDIR)/debian/tmp/usr/bin/pysassc

override_dh_auto_test:
	pybuild -s custom --test -p "$(shell pyversions -vr; py3versions -vr)" \
		--test-args="cp -fr test testpkg {build_dir}/; \
		{interpreter} setup.py bdist_egg --dist-dir {build_dir}/testpkg/.eggs; \
		cd {build_dir}; {interpreter} -m unittest sasstests"

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -fr libsass.egg-info .libsass-upstream-version

## libsass-python 0.12.3

=== debian/changelog ===
libsass-python (0.12.3-2ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:05 +0000

libsass-python (0.12.3-2ubuntu3) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 11:46:25 +1200

libsass-python (0.12.3-2ubuntu2) artful; urgency=medium

  * Revert PIE changes for the latest dpkg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 29 Apr 2017 11:05:58 +0530

libsass-python (0.12.3-2ubuntu1) zesty; urgency=medium

  * Disable PIE during build so that python linkage happens in right
    manner.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 22 Feb 2017 11:27:33 +0530

libsass-python (0.12.3-2) unstable; urgency=medium

  * d/control : fixed accents in my name to match d/changelog
  * d/control : checked and upgraded Standards-Version to 3.9.8
  * d/rules : enabled hardening to fix hardening-no-bindnow lintian but
    hardening-no-fortify-functions lintian remains as a false positive

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Thu, 19 Jan 2017 14:43:24 +0000

libsass-python (0.12.3-1) unstable; urgency=medium

  * New upstream release. Closes: #848653

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Mon, 09 Jan 2017 15:39:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libsass-python
-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -14,7 +15,7 @@
  libsass-dev (>= 3.3.1)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://hongminhee.org/libsass-python/
 
 Package: python-libsass

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 export PYTHON_EGG_CACHE=$(CURDIR)/debian/tmp
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dpkg-query -f '${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version

## libsass-python 0.14.5

=== debian/changelog ===
libsass-python (0.14.5-1) unstable; urgency=medium

  * New upstream release (Closes: #903195)
  * Clean patches up
  * Use python3 for doc
  * Build depend on libsass 3.5.4
  * Use python3 by default
  * Update Vcs infos
  * Remove python version fields
  * Handle nocheck option of DEB_BUILD_OPTIONS
  * Use https for the homepage
  * Update copyright information
  * Bump Standards-Version
  * Upgrade debhelper compatibility level

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 10 Jul 2018 13:44:40 +0200

libsass-python (0.13.4-1) unstable; urgency=medium

  * New upstream release
  * d/control : update maintainer's mail
  * d/p/fix-compilation.patch d/rules : use upstream handling of compilation
    with system's libsass
  * d/p/pysassc-man.patch : refresh
  * d/rules : remove sassc renaming to pysassc as upstream deal with it now
  * d/changelog : bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 13 Dec 2017 09:38:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libsass-python
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
  dh-python,
  python-all-dev, python3-all-dev,
  python-setuptools, python3-setuptools,
@@ -12,11 +11,11 @@
  python-werkzeug, python3-werkzeug,
  python-flake8, python3-flake8,
  python-pytest, python3-pytest,
- libsass-dev (>= 3.3.1)
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
-Homepage: http://hongminhee.org/libsass-python/
+ libsass-dev (>= 3.5.4)
+Standards-Version: 4.1.5
+Homepage: https://hongminhee.org/libsass-python/
+Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
+Vcs-Browser: https://salsa.debian.org/debian/libsass-python
 
 Package: python-libsass
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYTHON_EGG_CACHE=$(CURDIR)/debian/tmp
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export SYSTEM_SASS = 1
%:
	dpkg-query -f '${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	pybuild --build -p "$(shell pyversions -vr; py3versions -vr)"
	# build doc once
	pybuild -s custom --build -p $(shell py3versions -vd) \
		--build-args="env PYTHONPATH={build_dir} sphinx-build -N -bman docs/ build/man"

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	cp $(CURDIR)/build/man/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	sed -i '1c#!/usr/bin/python3' $(CURDIR)/debian/tmp/usr/bin/pysassc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pybuild -s custom --test -p "$(shell pyversions -vr; py3versions -vr)" \
		--test-args="cp -fr test testpkg {build_dir}/; \
		{interpreter} setup.py bdist_egg --dist-dir {build_dir}/testpkg/.eggs; \
		cd {build_dir}; {interpreter} -m unittest sasstests"
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -fr libsass.egg-info .libsass-upstream-version

## libsass-python 0.17.0

=== debian/changelog ===
libsass-python (0.17.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:16:59 +0800

libsass-python (0.17.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Frédéric Bonnard ]
  * New upstream version 0.17.0
  * Rediff patches
  * Add upstream changelog
  * Bump Standards-Version
  * Upgrade compat level

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 11 Jan 2019 12:28:55 +0100

libsass-python (0.14.5-2) unstable; urgency=medium

  * Revert support of custom import extensions (Closes: #906379)

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 27 Aug 2018 13:43:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	pybuild --build -p "$(shell pyversions -vr; py3versions -vr)"
 	# build doc once
 	pybuild -s custom --build -p $(shell py3versions -vd) \
-		--build-args="env PYTHONPATH={build_dir} sphinx-build -N -bman docs/ build/man"
+		--build-args="env PYTHONPATH={build_dir} python3 -m sphinx -N -bman docs/ build/man"
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libsass-python-$1\.tar\.gz/,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/dahlia/libsass-python/tags .*/v?(\d\S*)\.tar\.gz

## libsass-python 0.18.0

=== Makefile ===
--- 
+++ 
@@ -41,4 +41,3 @@
 .PHONY: clean
 clean:
 	rm -rf build2 _sass.so
-

=== debian/changelog ===
libsass-python (0.18.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:41 +0100

libsass-python (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Link 0.18.0 with newer libsass 3.5.5
  * Fix python3 dependency
  * Replace debian/compat with debhelper-compat dependency
  * Add Rules-Requires-Root field

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 21 Jan 2020 15:45:22 +0100

=== debian/control ===
Source: libsass-python
Maintainer: Frédéric Bonnard <frediz@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-werkzeug,
 python3-flake8,
 python3-pytest,
 libsass-dev (>= 3.5.5)
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://hongminhee.org/libsass-python/
Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
Vcs-Browser: https://salsa.debian.org/debian/libsass-python

Package: python3-libsass
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: SASS for Python 3: a straightforward binding of libsass for Python
 This package provides a simple Python 3 extension module sass which is binding
 Libsass (written in C/C++ by Hampton Catlin and Aaron Leung). It's very
 straightforward and there isn't any headache related Python
 distribution/deployment.
 That means you can add just libsass into your setup.py's install_requires list
 or requirements.txt file. Need no Ruby nor Node.js.

Package: pysassc
Section: web
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-libsass
Description: SASS for Python: command line utility for libsass
 This package provides a simple Python script to access libsass
 functionnalities.
 Libsass (written in C/C++ by Hampton Catlin and Aaron Leung). It's very
 straightforward and there isn't any headache related Python
 distribution/deployment.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 export SYSTEM_SASS = 1
 %:
 	dpkg-query -f '${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	pybuild --build -p "$(shell pyversions -vr; py3versions -vr)"
+	pybuild --build -p "$(shell py3versions -vr)"
 	# build doc once
 	pybuild -s custom --build -p $(shell py3versions -vd) \
 		--build-args="env PYTHONPATH={build_dir} python3 -m sphinx -N -bman docs/ build/man"
@@ -22,7 +22,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pybuild -s custom --test -p "$(shell pyversions -vr; py3versions -vr)" \
+	pybuild -s custom --test -p "$(shell py3versions -vr)" \
 		--test-args="cp -fr test testpkg {build_dir}/; \
 		{interpreter} setup.py bdist_egg --dist-dir {build_dir}/testpkg/.eggs; \
 		cd {build_dir}; {interpreter} -m unittest sasstests"

## libsass-python 0.19.4

=== debian/changelog ===
libsass-python (0.19.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #952759)
  * Link 0.19.4 with newer libsass 3.6.3
  * Bump Standards-Version to 4.5.0 (no change)
  * Add debian/gbp.conf to reflect the DEP-14 repository layout

 -- Anthony Fok <foka@debian.org>  Mon, 09 Mar 2020 00:31:31 -0600

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-werkzeug,
  python3-flake8,
  python3-pytest,
- libsass-dev (>= 3.5.5)
+ libsass-dev (>= 3.6.3)
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://hongminhee.org/libsass-python/
 Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
 Vcs-Browser: https://salsa.debian.org/debian/libsass-python

## libsass-python 0.20.1

=== debian/changelog ===
libsass-python (0.20.1-3build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:45 +0000

libsass-python (0.20.1-3) unstable; urgency=medium

  * Use pytest instead of unittest to run tests and disable unported
    tests (Closes: #980628)

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 07 Apr 2021 12:28:16 +0200

libsass-python (0.20.1-2) unstable; urgency=medium

  * Avoid code download during doc build (Closes: #972140)
  * Make the build reproducible (Closes: #971527)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 06 Nov 2020 11:23:10 +0100

libsass-python (0.20.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Frédéric Bonnard ]
  * Skip DistUtilsTestCase
  * Please lintian and deobfuscate use of dh
  * Link 0.20.1 with newer libsass 3.6.4
  * Upgrade debhelper compatibility level
  * Add manpage for libsass
  * List unwanted files in binary packages

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 08 Sep 2020 14:44:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-setuptools,
@@ -11,7 +11,10 @@
  python3-werkzeug,
  python3-flake8,
  python3-pytest,
- libsass-dev (>= 3.6.3)
+ python3-doc,
+ python-flask-doc,
+ python-setuptools-doc,
+ libsass-dev (>= 3.6.4)
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://hongminhee.org/libsass-python/

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export SYSTEM_SASS = 1
-%:
-	dpkg-query -f '${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
+
+%: .libsass-upstream-version
 	dh $@ --with python3 --buildsystem=pybuild
+
+.libsass-upstream-version:
+	dpkg-query -f '$${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
 
 override_dh_auto_build:
 	pybuild --build -p "$(shell py3versions -vr)"
@@ -22,10 +25,14 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Skip DistutilsTestCase.* to not rebuild sass again
+	#
+	# FIXME : skip test_build_one test_stack_trace_formatting : to reenable once
+	# libsass gets past 3.6.4 (see #980628 and upstream issue)
 	pybuild -s custom --test -p "$(shell py3versions -vr)" \
-		--test-args="cp -fr test testpkg {build_dir}/; \
-		{interpreter} setup.py bdist_egg --dist-dir {build_dir}/testpkg/.eggs; \
-		cd {build_dir}; {interpreter} -m unittest sasstests"
+		--test-args="cd {build_dir}; \
+		{interpreter} -m pytest -k 'not DistutilsTestCase \
+		and not test_build_one and not test_stack_trace_formatting' sasstests.py"
 endif
 
 override_dh_auto_clean:

## libsass-python 0.21.0

=== debian/changelog ===
libsass-python (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
  * Update Homepage
  * Update copyright details
  * Drop reproducible build patch now applied upstream
  * Remove workaround for #980628
  * Update d/watch file
  * Change libsass man page section
  * Remove test related file (Closes: #1000943)
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 20 Apr 2022 16:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  python3-doc,
  python-flask-doc,
  python-setuptools-doc,
- libsass-dev (>= 3.6.4)
+ libsass-dev (>= 3.6.5)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Homepage: https://hongminhee.org/libsass-python/
+Standards-Version: 4.6.0
+Homepage: https://sass.github.io/libsass-python
 Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
 Vcs-Browser: https://salsa.debian.org/debian/libsass-python

## libsass-python 0.22.0

=== debian/changelog ===
libsass-python (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * Update patch d/p/pysassc-man.patch

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 04 Jan 2023 15:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python-setuptools-doc,
  libsass-dev (>= 3.6.5)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://sass.github.io/libsass-python
 Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
 Vcs-Browser: https://salsa.debian.org/debian/libsass-python

=== debian/rules ===
--- 
+++ 
@@ -20,19 +20,18 @@
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=pybuild
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
-	cp $(CURDIR)/build/man/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man3
+	cp $(CURDIR)/build/man/pysassc.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
+	cp $(CURDIR)/build/man/libsass.3 $(CURDIR)/debian/tmp/usr/share/man/man3/
+	rm $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/sasstests.py
 	sed -i '1c#!/usr/bin/python3' $(CURDIR)/debian/tmp/usr/bin/pysassc
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Skip DistutilsTestCase.* to not rebuild sass again
-	#
-	# FIXME : skip test_build_one test_stack_trace_formatting : to reenable once
-	# libsass gets past 3.6.4 (see #980628 and upstream issue)
 	pybuild -s custom --test -p "$(shell py3versions -vr)" \
 		--test-args="cd {build_dir}; \
-		{interpreter} -m pytest -k 'not DistutilsTestCase \
-		and not test_build_one and not test_stack_trace_formatting' sasstests.py"
+		{interpreter} -m pytest -k 'not DistutilsTestCase' sasstests.py"
 endif
 
 override_dh_auto_clean:

## libsass-python 0.23.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/libsass.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/libsass.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/libsass"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/libsass"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
libsass-python (0.23.0-0.1ubuntu1) plucky; urgency=medium

  * Enable autopkgtests for Ubuntu MIR:
    - d/control: Enable pybuild-autopkgtest.
    - d/rules: Refactor to pass pytest args using PYBUILD_TEST variables
      to support use in autopkgtest.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2025 11:36:39 +0000

libsass-python (0.23.0-0.1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:42 +0100

libsass-python (0.23.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous python3-six build-dep
  * Add a patch to fix a build failure in Sphinx step.
    (Closes: #1042614, #1058362)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Aug 2024 15:28:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libsass-python
-Maintainer: Frédéric Bonnard <frediz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-werkzeug,
  python3-flake8,
@@ -20,6 +20,7 @@
 Homepage: https://sass.github.io/libsass-python
 Vcs-Git: https://salsa.debian.org/debian/libsass-python.git
 Vcs-Browser: https://salsa.debian.org/debian/libsass-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-libsass
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,18 @@
 export PYTHON_EGG_CACHE=$(CURDIR)/debian/tmp
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=-k 'not DistutilsTestCase' $(CURDIR)/sasstests.py
+
 export SYSTEM_SASS = 1
 
-%: .libsass-upstream-version
+%:
 	dh $@ --with python3 --buildsystem=pybuild
 
 .libsass-upstream-version:
 	dpkg-query -f '$${Version}\n' -W libsass-dev|sed 's/-.*//' > .libsass-upstream-version
 
-override_dh_auto_build:
+override_dh_auto_build: .libsass-upstream-version
 	pybuild --build -p "$(shell py3versions -vr)"
 	# build doc once
 	pybuild -s custom --build -p $(shell py3versions -vd) \
@@ -26,14 +29,6 @@
 	rm $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/sasstests.py
 	sed -i '1c#!/usr/bin/python3' $(CURDIR)/debian/tmp/usr/bin/pysassc
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Skip DistutilsTestCase.* to not rebuild sass again
-	pybuild -s custom --test -p "$(shell py3versions -vr)" \
-		--test-args="cd {build_dir}; \
-		{interpreter} -m pytest -k 'not DistutilsTestCase' sasstests.py"
-endif
-
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	rm -fr libsass.egg-info .libsass-upstream-version
